Переполнение буфера в LibAST

Дата публикации:
26.01.2006
Дата изменения:
17.10.2006
Всего просмотров:
2937
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная
Воздействие:
Повышение привилегий
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
LibAST 0.x
Уязвимые версии: LibAST версии до 0.7

Описание:
Уязвимость позволяет локальному пользователю повысить свои привилегии на системе.

Уязвимость существует из-за ошибки в функции "conf_find_file()" в файле conf.c. Локальный пользователь может с помощью слишком длинного имени файла вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: www.eterm.org

Решение: Установите последнюю версию (0.7) с сайта производителя.

Источник:

Ссылки: Eterm-LibAST Advisory

или введите имя

CAPTCHA